> For the complete documentation index, see [llms.txt](https://docs.venuecms.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.venuecms.com/developers/sdk-next/react-components/venuecontent.md).

# VenueContent

Allows you render content returned from Venue CMS in a headless way. All styles will need to be defined by you in a separate object as the renderer won't add styles by default.

Example:

```tsx

import { VenueContent, getLocalizedContent } from "@venuecms/sdk-next";

// create an object of classes to be applied to specific elements 
// and pass it to the renderer
export const renderedStyles = {
  p: "text-primary text-sm",
  h2: "text-xl text-secondary",
  h3: "text-sm text-secondary",
  ol: "list-decimal pl-8",
  ul: "list-disc pl-4",
  a: "underline text-primary text-sm font-medium",
};

export const Event = ({ event, locale }: { event: VenueEvent; locale: 'en' | 'sv' }) => {
  // retrieve localized content using the utility class from the SDK
  const { content } = getLocalizedContent(event?.localizedContent, locale);

  // render the rich content and apply your styles
  return (
    <VenueContent
    className="flex flex-col gap-6 sm:pr-32"
    content={content}
    contentStyles={renderedStyles}
    />
  );
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.venuecms.com/developers/sdk-next/react-components/venuecontent.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
